Package edu.hws.jcm.draw

# Class Crosshair

java.lang.Object
edu.hws.jcm.draw.Drawable
edu.hws.jcm.draw.DrawGeometric
edu.hws.jcm.draw.Crosshair

All Implemented Interfaces:
  `Computable`, `Serializable`

public class Crosshair extends DrawGeometric
A Crosshair is a small cross, 15 pixels wide and high, that is drawn in a CoordinateRect at a specified point. A Crosshair is a Computable object, so should be added to a Controller to be recomputed when the coordinates of the point change.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class edu.hws.jcm.draw.DrawGeometric

`a, b, c, color, CROSS, d, fillColor, h, INFINITE_LINE_ABSOLUTE, INFINITE_LINE_RELATIVE, LINE_ABSOLUTE, LINE_CENTERED, LINE_RELATIVE, lineWidth, OVAL_ABSOLUTE, OVAL_CENTERED, OVAL_RELATIVE, RECT_ABSOLUTE, RECT_CENTERED, RECT_RELATIVE, shape, v, x1, x2, y1, y2`

### Fields inherited from class edu.hws.jcm.draw.Drawable

`canvas, coords`

## Constructor Summary

Constructors
Constructor
Description
`Crosshair(Value x, Function f)`
Create a cross that appears on the graph of the function y=f(x) at the point with coordinates (x,f(x)).
`Crosshair(Value x, Value y)`
Create a cross that appears at the point with coordinates (x,y).

## Method Summary

### Methods inherited from class edu.hws.jcm.draw.DrawGeometric

`compute, draw, getColor, getFillColor, getH, getLineWidth, getV, getX1, getX2, getY1, getY2, setColor, setFillColor, setH, setLineWidth, setPoints, setPoints, setShape, setV, setX1, setX2, setY1, setY2`

### Methods inherited from class edu.hws.jcm.draw.Drawable

`getVisible, needsRedraw, setOwnerData, setVisible`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Crosshair

public Crosshair(Value x, Value y)
Create a cross that appears at the point with coordinates (x,y).

### Crosshair

public Crosshair(Value x, Function f)
Create a cross that appears on the graph of the function y=f(x) at the point with coordinates (x,f(x)). f should be a function of one variable.